package com.bocloud.cmp.model;

import java.util.List;

import com.alibaba.fastjson.JSONObject;

public class ZoneModel {
	private String name;// 名称
	private String zoneId;
	private String regionId;
	private String diskCategory;// 磁盘类型
	private String resources;
	private String zoneNum;

	private List<JSONObject> slaveZones;

	public String getZoneNum() {
		return zoneNum;
	}

	public void setZoneNum(String zoneNum) {
		this.zoneNum = zoneNum;
	}

	/**
	 * @return the resources
	 */
	public String getResources() {
		return resources;
	}

	/**
	 * @param resources the resources to set
	 */
	public void setResources(String resources) {
		this.resources = resources;
	}

	/**
	 * @return the diskCategory
	 */
	public String getDiskCategory() {
		return diskCategory;
	}

	/**
	 * @param diskCategory the diskCategory to set
	 */
	public void setDiskCategory(String diskCategory) {
		this.diskCategory = diskCategory;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the zoneId
	 */
	public String getZoneId() {
		return zoneId;
	}

	/**
	 * @param zoneId the zoneId to set
	 */
	public void setZoneId(String zoneId) {
		this.zoneId = zoneId;
	}

	/**
	 * @return the regionId
	 */
	public String getRegionId() {
		return regionId;
	}

	/**
	 * @param regionId the regionId to set
	 */
	public void setRegionId(String regionId) {
		this.regionId = regionId;
	}

	public List<JSONObject> getSlaveZones() {
		return slaveZones;
	}

	public void setSlaveZones(List<JSONObject> slaveZones) {
		this.slaveZones = slaveZones;
	}

}
